# Torchebm > Datasets > Generators

## Contents

### Classes

- [`BaseSyntheticDataset`](classes/BaseSyntheticDataset) - Abstract Base Class for generating 2D synthetic datasets.
- [`CheckerboardDataset`](classes/CheckerboardDataset) - Generates points in a 2D checkerboard pattern using rejection sampling.
- [`CircleDataset`](classes/CircleDataset) - Generates points sampled uniformly on a circle with noise.
- [`EightGaussiansDataset`](classes/EightGaussiansDataset) - Generates samples from the specific '8 Gaussians' mixture.
- [`GaussianMixtureDataset`](classes/GaussianMixtureDataset) - Generates samples from a 2D Gaussian mixture arranged uniformly in a circle.
- [`GridDataset`](classes/GridDataset) - Generates points on a 2D grid within [-range_limit, range_limit].
- [`PinwheelDataset`](classes/PinwheelDataset) - Generates the pinwheel dataset with curved blades.
- [`SwissRollDataset`](classes/SwissRollDataset) - Generates a 2D Swiss roll dataset.
- [`TwoMoonsDataset`](classes/TwoMoonsDataset) - Generates the 'two moons' dataset.

## API Reference

::: torchebm.datasets.generators
    options:
      show_root_heading: true
      show_root_toc_entry: true
      show_source: true
      show_symbol_type_heading: true
      show_symbol_type_toc: true
      show_docstring_attributes: false
      show_docstring_classes: true
      show_docstring_functions: true
      trim_doctest_flags: true
      show_category_heading: false
      show_if_no_docstring: true
      members_order: source
      show_signature_annotations: true
      separate_signature: true
      unwrap_annotated: true
      docstring_section_style: table
      inherited_members: false
      members:
        - "!__*"
